Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi.support
Class DefaultRequestInterfaceBinding

    java.lang.Object
      org.mule.component.DefaultInterfaceBinding
          org.mule.module.ibeans.spi.support.DefaultRequestInterfaceBinding

All Implemented Interfaces:
  InterfaceBinding, MessageProcessor

Direct Known Subclasses:
  DynamicRequestInterfaceBinding

    public class DefaultRequestInterfaceBinding

extends DefaultInterfaceBinding

Used for making a request from a message dispatcher

Field Summary
`protected InboundEndpoint` | `inboundEndpoint`

Fields inherited from class org.mule.component.DefaultInterfaceBinding
`logger, outboundRouter`

Constructor Summary
`DefaultRequestInterfaceBinding()`

Method Summary
`ImmutableEndpoint` | `getEndpoint()`
`void` | `setEndpoint(ImmutableEndpoint e)`

Methods inherited from class org.mule.component.DefaultInterfaceBinding
`createProxy, getInterface, getInterfaceClass, getMethod, process, setInterface, setMethod, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### inboundEndpoint

    protected InboundEndpoint inboundEndpoint

Constructor Detail

### DefaultRequestInterfaceBinding

    public DefaultRequestInterfaceBinding()

Method Detail

### setEndpoint

    public void setEndpoint(ImmutableEndpoint e)

  Specified by:
    `setEndpoint` in interface `InterfaceBinding`
  Overrides:
    `setEndpoint` in class `DefaultInterfaceBinding`

### getEndpoint

    public ImmutableEndpoint getEndpoint()

  Specified by:
    `getEndpoint` in interface `InterfaceBinding`
  Overrides:
    `getEndpoint` in class `DefaultInterfaceBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.